#pragma once
#include <Multimedia/SDX.h>

namespace SDX
{
/** 一時停止処理する関数群.*/
///	\include WaitSample.h
class Wait
{
private:
	Wait();
	~Wait();
public:
	/** 指定ミリ秒実行を停止.*/
	static bool Timer(int 停止ミリ秒)
	{
	#ifdef DXLIB
		return !DxLib::WaitTimer(停止ミリ秒);
	#elif defined(SDL)
		return false;
	#endif
	}
	
	/** 垂直同期信号を指定回数待つ.*/
	static bool VSync(int 信号回数)
	{
	#ifdef DXLIB
		return !DxLib::WaitVSync(信号回数);	
	#elif defined(SDL)
		return false;
	#endif
	}
	
	/** キーを入力を待つ.*/
	static bool PushKey()
	{
	#ifdef DXLIB
		return !DxLib::WaitKey();
	#elif defined(SDL)
		return false;
	#endif
	}
};
}
